Bug 171330 - [UPDATE] chinese/libpinyin to 0.7.1 & chinese/fcitx-libpinyin
Summary: [UPDATE] chinese/libpinyin to 0.7.1 & chinese/fcitx-libpinyin
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Wen Heping
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-09-04 23:00 UTC by lichray
Modified: 2012-09-08 11:54 UTC (History)
0 users

See Also:


Attachments
libpinyin_0.7.1_with_fcitx.diff (3.95 KB, patch)
2012-09-04 23:00 UTC, lichray
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description lichray 2012-09-04 23:00:16 UTC
	
	chinese/libpinyin -> 0.7.1
	chinese/fcitx-libpinyin -> 0.2.0

	There're no structural changes to those projects.
Comment 1 Wen Heping freebsd_committer 2012-09-08 02:21:36 UTC
Responsible Changed
From-To: freebsd-ports-bugs->wen

I'll take it.
Comment 2 dfilter service freebsd_committer 2012-09-08 11:26:54 UTC
Author: wen
Date: Sat Sep  8 10:26:40 2012
New Revision: 303889
URL: http://svn.freebsd.org/changeset/ports/303889

Log:
  - Update to 0.7.1
  
  PR:		171330
  Submitted by:	Zhihao Yuan <lichray@gmail.com> (maintainer)

Modified:
  head/chinese/libpinyin/Makefile
  head/chinese/libpinyin/distinfo
  head/chinese/libpinyin/pkg-plist

Modified: head/chinese/libpinyin/Makefile
==============================================================================
--- head/chinese/libpinyin/Makefile	Sat Sep  8 10:16:52 2012	(r303888)
+++ head/chinese/libpinyin/Makefile	Sat Sep  8 10:26:40 2012	(r303889)
@@ -6,7 +6,7 @@
 #
 
 PORTNAME=	libpinyin
-PORTVERSION=	0.5.92
+PORTVERSION=	0.7.1
 CATEGORIES=	chinese textproc
 MASTER_SITES=	SF/${PORTNAME}/${PORTNAME}
 
@@ -28,6 +28,8 @@ CONFIGURE_ARGS+=CPPFLAGS="-I${LOCALBASE}
 		-I${BDB_INCLUDE_DIR} -D_WITH_GETLINE" \
 		LDFLAGS="-L${LOCALBASE}/lib -l${BDB_LIB_NAME}"
 
+PLIST_SUB+=	VER=${PORTVERSION}
+
 .include <bsd.port.pre.mk>
 
 .if ${OSVERSION} < 800107

Modified: head/chinese/libpinyin/distinfo
==============================================================================
--- head/chinese/libpinyin/distinfo	Sat Sep  8 10:16:52 2012	(r303888)
+++ head/chinese/libpinyin/distinfo	Sat Sep  8 10:26:40 2012	(r303889)
@@ -1,2 +1,2 @@
-SHA256 (libpinyin-0.5.92.tar.gz) = aae733f7f0d3292b3e1f3dcdf183c496d90251064d9d2eae45b3d71738f3a838
-SIZE (libpinyin-0.5.92.tar.gz) = 10477392
+SHA256 (libpinyin-0.7.1.tar.gz) = 1205a7aabe5e3a0bed37323714b8f7ea51947b488d40aab08e268487f85e7c51
+SIZE (libpinyin-0.7.1.tar.gz) = 10464925

Modified: head/chinese/libpinyin/pkg-plist
==============================================================================
--- head/chinese/libpinyin/pkg-plist	Sat Sep  8 10:16:52 2012	(r303888)
+++ head/chinese/libpinyin/pkg-plist	Sat Sep  8 10:26:40 2012	(r303889)
@@ -1,16 +1,16 @@
 bin/gen_binary_files
 bin/gen_unigram
 bin/import_interpolation
-include/libpinyin-0.3/chewing_enum.h
-include/libpinyin-0.3/chewing_key.h
-include/libpinyin-0.3/novel_types.h
-include/libpinyin-0.3/pinyin.h
-include/libpinyin-0.3/pinyin_custom2.h
-include/libpinyin-0.3/pinyin_parser2.h
+include/libpinyin-%%VER%%/chewing_enum.h
+include/libpinyin-%%VER%%/chewing_key.h
+include/libpinyin-%%VER%%/novel_types.h
+include/libpinyin-%%VER%%/pinyin.h
+include/libpinyin-%%VER%%/pinyin_custom2.h
+include/libpinyin-%%VER%%/pinyin_parser2.h
 lib/libpinyin.a
 lib/libpinyin.la
 lib/libpinyin.so
-lib/libpinyin.so.0
+lib/libpinyin.so.2
 libdata/pkgconfig/libpinyin.pc
 %%DATADIR%%/data/bigram.db
 %%DATADIR%%/data/gb_char.bin
@@ -19,4 +19,4 @@ libdata/pkgconfig/libpinyin.pc
 %%DATADIR%%/data/pinyin_index.bin
 @dirrm %%DATADIR%%/data
 @dirrm %%DATADIR%%
-@dirrm include/libpinyin-0.3
+@dirrm include/libpinyin-%%VER%%
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 3 dfilter service freebsd_committer 2012-09-08 11:32:53 UTC
Author: wen
Date: Sat Sep  8 10:32:37 2012
New Revision: 303890
URL: http://svn.freebsd.org/changeset/ports/303890

Log:
  - Update to 0.2.0
  
  PR:		171330
  Submitted by:	Zhihao Yuan <lichray@gmail.com> (maintainer)

Added:
  head/chinese/fcitx-libpinyin/files/
  head/chinese/fcitx-libpinyin/files/patch-CMakeLists.txt   (contents, props changed)
Modified:
  head/chinese/fcitx-libpinyin/Makefile
  head/chinese/fcitx-libpinyin/distinfo

Modified: head/chinese/fcitx-libpinyin/Makefile
==============================================================================
--- head/chinese/fcitx-libpinyin/Makefile	Sat Sep  8 10:26:40 2012	(r303889)
+++ head/chinese/fcitx-libpinyin/Makefile	Sat Sep  8 10:32:37 2012	(r303890)
@@ -6,7 +6,7 @@
 #
 
 PORTNAME=	fcitx-libpinyin
-PORTVERSION=	0.1.1
+PORTVERSION=	0.2.0
 CATEGORIES=	chinese
 MASTER_SITES=	${MASTER_SITE_GOOGLE_CODE} \
 		http://cloud.github.com/downloads/fcitx/fcitx-libpinyin/:libpinyin
@@ -18,7 +18,7 @@ MAINTAINER=	lichray@gmail.com
 COMMENT=	The libpinyin support for Fcitx
 
 LIB_DEPENDS=	fcitx-config.4:${PORTSDIR}/chinese/fcitx \
-		pinyin.0:${PORTSDIR}/chinese/libpinyin
+		pinyin.2:${PORTSDIR}/chinese/libpinyin
 
 USE_LDCONFIG=	${PREFIX}/lib/fcitx/
 USE_XZ=		yes

Modified: head/chinese/fcitx-libpinyin/distinfo
==============================================================================
--- head/chinese/fcitx-libpinyin/distinfo	Sat Sep  8 10:26:40 2012	(r303889)
+++ head/chinese/fcitx-libpinyin/distinfo	Sat Sep  8 10:32:37 2012	(r303890)
@@ -1,4 +1,4 @@
-SHA256 (fcitx/fcitx-libpinyin-0.1.1.tar.xz) = adb84d0b0f9f3bd26b124dd5c4130adacd7d15293fc0e1917266ff35c51be03c
-SIZE (fcitx/fcitx-libpinyin-0.1.1.tar.xz) = 24220
+SHA256 (fcitx/fcitx-libpinyin-0.2.0.tar.xz) = b39649d4e4ebb4b054ea520fe80efd520b273d42223d6d8c0b699b11fa4cd039
+SIZE (fcitx/fcitx-libpinyin-0.2.0.tar.xz) = 24464
 SHA256 (fcitx/model.text.tar.gz) = 8d87d9c0b622f3163976a8c8bc57ded878cf0dee63c855b8a7afd36a151114eb
 SIZE (fcitx/model.text.tar.gz) = 9991219

Added: head/chinese/fcitx-libpinyin/files/patch-CMakeLists.txt
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/chinese/fcitx-libpinyin/files/patch-CMakeLists.txt	Sat Sep  8 10:32:37 2012	(r303890)
@@ -0,0 +1,10 @@
+--- CMakeLists.txt~	2012-07-05 04:14:59.000000000 -0500
++++ CMakeLists.txt	2012-09-04 16:36:28.118990420 -0500
+@@ -9,7 +9,6 @@ FIND_PACKAGE(Gettext REQUIRED)
+ FIND_PACKAGE(Fcitx 4.2.0 REQUIRED)
+ find_package(GLIB2 REQUIRED)
+ find_package(Libpinyin REQUIRED)
+-find_program(WGET wget REQUIRED)
+ find_program(TAR tar REQUIRED)
+ 
+ # uninstall target
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 4 Wen Heping freebsd_committer 2012-09-08 11:54:43 UTC
State Changed
From-To: open->closed

Committed. Thanks!